import mongoose, { Document, ObjectId, Schema } from "mongoose";
import MainModel from "../../connect/mongoose";
export interface zoneSchema extends Document {
    zoneId: string;
    zoneName: string
    createBy: mongoose.Types.ObjectId
    points: []
    layer: Number

}

// Define the Mongoose Schema
const zoneSchema: Schema = new Schema({
    zoneId: { type: String },
    zoneName: { type: String },
    createBy: { type: Schema.Types.ObjectId, ref: "Users", },
    points: { type: Array },
    layer: { type: Number, required: true },
});


// export default zoneModel;
const zoneModel = (db: string) => {
    return MainModel(db, "zones", zoneSchema, "zones")
};
export default zoneModel;